Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000965Core InformSource text and punctuationpublic2012-08-05 09:252014-05-07 07:33
ReporterEmacsUser 
Assigned Tograham 
PrioritynormalSeveritycosmeticReproducibilityalways
StatusclosedResolutionfixed 
Platformx86OSMac OS XOS Version10.6
Product Version6G60 
Target VersionFixed in Version6L02 
Summary0000965: Problem messages for a wording that already has a meaning do not point to the statements establishing that meaning
DescriptionThe attached source was reduced from 0000962. In this form, the problem message,

- - - -
Problem. You wrote 'The specific action-processing rulebook has a truth state called action in world' , but 'action in world' already has a meaning, which this would clash with.
- - - -

is sufficient for an author to work out where the conflicting meaning is coming from. But the author has very little guidance for where to go looking in the context of a full story and its extensions. One or more additional source text links would help immensely.
Minimal Source Text To Reproduce
There is a room.
A thing called the world globe is here.

Table of Graphlink Glulx Replacement Commands
action
stored action
with 120 blank rows
TagsNo tags attached.
Effect(cosmetic) Error message is badly worded
Attached Files

- Relationships
related to 0000962closed An extensions combination which works fine in a short game prevents a longer game from compiling with nonsensical error reports. 

-  Notes
(0002347)
graham (administrator)
2014-01-24 02:16

It's too large-scale a change to diagnose this as fully as the report would like, but I've improved things somewhat.

- Issue History
Date Modified Username Field Change
2012-08-05 09:25 EmacsUser New Issue
2012-08-05 09:25 EmacsUser Issue generated from 0000550
2012-08-05 09:26 EmacsUser Relationship added related to 0000962
2012-08-17 00:26 curiousdannii Status new => confirmed
2014-01-24 02:16 graham Note Added: 0002347
2014-01-24 02:16 graham Status confirmed => resolved
2014-01-24 02:16 graham Resolution open => fixed
2014-01-24 02:16 graham Assigned To => graham
2014-05-07 07:32 jmcgrew Fixed in Version => 6L02
2014-05-07 07:33 jmcgrew Status resolved => closed


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker